org.jCharts.chartData.interfaces

## Interface IAxisPlotDataSet

All Superinterfaces:
  IData, IDataSet, Serializable

All Known Subinterfaces:
  IAxisChartDataSet, IScatterPlotDataSet, IStockChartDataSet

All Known Implementing Classes:
  AxisChartDataSet, ScatterPlotDataSet, StockChartDataSet

    public interface IAxisPlotDataSet
    extends IDataSet

### Method Summary

Methods
`ChartType` `getChartType()` Returns the type of chart this data is to be plotted on
`int` `getNumberOfDataSets()` Returns the number of data sets contained in this Object.
`void` `validate()` Allows validations to be performed on the data structures

### Methods inherited from interface org.jCharts.chartData.interfaces.IDataSet

`getChartTypeProperties, getLegendLabel, getNumberOfDataItems, getNumberOfLegendLabels, getPaint`

### Method Detail

#### getChartType

    ChartType getChartType()

Returns the type of chart this data is to be plotted on

Returns:
  ChartType

#### getNumberOfDataSets

    int getNumberOfDataSets()

Returns the number of data sets contained in this Object.

Returns:
  int

#### validate

    void validate()
                  throws ChartDataException,
                         PropertyException

Allows validations to be performed on the data structures

Throws:
  `ChartDataException`
  `PropertyException`